package com.bcxin.ars.model.trilog;


import com.bcxin.ars.serializer.LongJsonDeserializer;
import com.bcxin.ars.serializer.LongJsonSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by Administrator on 2019/2/18.
 */
public class TriLogDetail implements Serializable {

    /**
     * 触发器日志详情ID
     */
    @JsonSerialize(using = LongJsonSerializer.class)
    @JsonDeserialize(using = LongJsonDeserializer.class)
    private Long triLogDetailId;

    /**
     * 创建时间
     */
    private Date createTime;

    private String changeColumn;

    private String oldValue;

    private String newValue;

    private Long triLogId;


    public Long getTriLogDetailId() {
        return triLogDetailId;
    }

    public void setTriLogDetailId(Long triLogDetailId) {
        this.triLogDetailId = triLogDetailId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getChangeColumn() {
        return changeColumn;
    }

    public void setChangeColumn(String changeColumn) {
        this.changeColumn = changeColumn;
    }

    public String getOldValue() {
        return oldValue;
    }

    public void setOldValue(String oldValue) {
        this.oldValue = oldValue;
    }

    public String getNewValue() {
        return newValue;
    }

    public void setNewValue(String newValue) {
        this.newValue = newValue;
    }

    public Long getTriLogId() {
        return triLogId;
    }

    public void setTriLogId(Long triLogId) {
        this.triLogId = triLogId;
    }
}
